Bug 109413 - Radeon without DDC monitor ignores XF86Config
Radeon without DDC monitor ignores XF86Config
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-07 12:10 EST by Daniel
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-12 02:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
my XF86Config file (3.18 KB, text/plain)
2003-11-07 12:13 EST, Daniel
no flags Details
The X startup log (44.79 KB, text/plain)
2003-11-07 12:15 EST, Daniel
no flags Details

  None (edit)
Description Daniel 2003-11-07 12:10:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
The Radeon Driver in Fedora Core 1 will try to do a DDC query on your
monitor. However, if either your monitor doesn't support DDC, you are
using a KVM which doesnt support DDC, you have VGA cables which don't
support DDC, or you specify "Option DDC Off" in the video card section
of XF86config, it will fall back to "deafult" vertical and horizontal
sync, ignoring those settings in your XF86Config file.

Practically, this means that you can only use 640x480, as everything
else is out of range!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Use a radeon card, and a monitor without DDC support (or cut the DDC
cables in your VGA cable
2.start X-Windows
3.Look at /var/log/XFree86.0.log

Actual Results:  It will start in 640x480, regardless of how you set
the XF86Config

Expected Results:  It should use the Vertical Refresh and Horizontal
refresh rates set in your XF86Config file.

Additional info:
Comment 1 Daniel 2003-11-07 12:13:31 EST
Created attachment 95796 [details]
my XF86Config file

This is my XFree86 Config file. Notice that it has a modeline specifically set
for 1280x1024, and also that the refresh rates have been specified. These
settings work fine in RedHat 8.0 and 9.
Comment 2 Daniel 2003-11-07 12:15:35 EST
Created attachment 95797 [details]
The X startup log

Here is the log that X spits out. Notice that when it fails to get DDC
information, it uses an internal refresh rate default, instead of the ones I
specify. Then it tells me that it can't use any regular resolution because the
refresh rates dotn allow it.

Not that this problem manifests in the installer, the graphical boot process,
and regular X sessions. That sucks.
Comment 3 Daniel 2003-11-07 12:34:00 EST
Hmm... I've found a work-around, which is to add the options:
        Option "CloneHSync"  "31.5-75.0"
        Option "CloneVRefresh"  "40-61"

in the *device* section. It seems that the radeon driver is getting
confused between the primary and the secondary display. Of course, the
interesting part is that my Radeon only supports *1* display!

This tweak works for me, but of course all of the autoconfigure stuff
supplied with Fedora/RedHat doesn't know to put those options in, so
there are lots of problem for other people. Also, there doesn't appear
to be a way to get it to use my custom modeline.
Comment 4 Ken Tindle 2003-11-26 13:49:08 EST
Note that the latest update to XFree86 being issued by the Red Hat
Network for Red Hat 9 also now has this exact same problem.  I had to
revert to the original packages from the Red Hat 9 CD set.

What happens if one installs the Red Hat XFree86* RPMs from RH 9 into FC1?
Comment 5 Gennady Feldman 2003-12-18 11:49:06 EST
Ok, I have seen this issue so I can confirm this. Also the changes to
the spec file as described in

solve this issue as well as a bunch of others. 
Comment 6 Mike A. Harris 2003-12-18 13:09:47 EST
Ken: Since the latest XFree86 update contains various security fixes,
of which can be remotely exploited, what happens when you install the
RHL 9 rpms onto FC1, is that your system is now remotely exploitable.

Gennady: The suggestion you provide may be useful as a workaround
to people having this problem, but it is not a solution, and it
definitely is not what I'll be doing to resolve this issue.

Since the code in those patches is part of XFree86 4.4.0, whatever
this problem is, is most likely going to also be in 4.4.0, and
when we update to 4.4.0, this problem will return.  The proper
solution, is to find the actual real bug, and fix it, not disable
a patch that adds various features and new support to just bandaid
over the issue.

I will investigate this issue in more depth in the future, when
I am working on the Radeon driver again.  It is also possible
that this problem has been solved in CVS in a later patch which
we do not yet apply, so I may ask people to test 4.4.0 once I have
it available in RPM format.

Comment 7 Mike A. Harris 2004-10-12 02:33:17 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.